Loading...
Searching...
No Matches
ON_OffsetSurfaceFunction Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_offsetsurface.h>`

## Public Member Functions

| ON_OffsetSurfaceFunction ()
| ~ON_OffsetSurfaceFunction ()
bool | SetBaseSurface (const ON_Surface *srf)
const ON_Surface * | BaseSurface () const
bool | SetSideTangency (int side, bool bEnable)
bool | SideTangency (int side) const
bool | SetOffsetPoint (double s, double t, double distance, double radius=0.0)
bool | SetPoint (int index, double s, double t)
bool | SetDistance (int index, double distance)
int | OffsetPointCount () const
ON_2dPoint | OffsetSurfaceParameter (int i) const
double | OffsetDistance (int i) const
double | DistanceAt (double s, double t) const
bool | EvaluateDistance (double s, double t, int num_der, double *value) const
ON_3dPoint | PointAt (double s, double t) const
void | Destroy ()

## Friends

class | ON_OffsetSurface

## Detailed Description

Definition at line 83 of file opennurbs_offsetsurface.h.

## Constructor & Destructor Documentation

## ON_OffsetSurfaceFunction()

ON_OffsetSurfaceFunction::ON_OffsetSurfaceFunction | ( |  | ) |

## ~ON_OffsetSurfaceFunction()

ON_OffsetSurfaceFunction::~ON_OffsetSurfaceFunction | ( |  | ) |

## Member Function Documentation

## BaseSurface()

const ON_Surface * ON_OffsetSurfaceFunction::BaseSurface | ( |  | ) | const

## Destroy()

void ON_OffsetSurfaceFunction::Destroy | ( |  | ) |

## DistanceAt()

double ON_OffsetSurfaceFunction::DistanceAt | ( | double | s,
|  | double | t
| ) |  | const

## EvaluateDistance()

bool ON_OffsetSurfaceFunction::EvaluateDistance | ( | double | s,
|  | double | t,
|  | int | num_der,
|  | double * | value
| ) |  | const

## OffsetDistance()

double ON_OffsetSurfaceFunction::OffsetDistance | ( | int | i | ) | const

## OffsetPointCount()

int ON_OffsetSurfaceFunction::OffsetPointCount | ( |  | ) | const

## OffsetSurfaceParameter()

ON_2dPoint ON_OffsetSurfaceFunction::OffsetSurfaceParameter | ( | int | i | ) | const

## PointAt()

ON_3dPoint ON_OffsetSurfaceFunction::PointAt | ( | double | s,
|  | double | t
| ) |  | const

## SetBaseSurface()

bool ON_OffsetSurfaceFunction::SetBaseSurface | ( | const ON_Surface * | srf | ) |

## SetDistance()

bool ON_OffsetSurfaceFunction::SetDistance | ( | int | index,
|  | double | distance
| ) |  |

## SetOffsetPoint()

bool ON_OffsetSurfaceFunction::SetOffsetPoint | ( | double | s,
|  | double | t,
|  | double | distance,
|  | double | radius = `0.0`
| ) |  |

## SetPoint()

bool ON_OffsetSurfaceFunction::SetPoint | ( | int | index,
|  | double | s,
|  | double | t
| ) |  |

## SetSideTangency()

bool ON_OffsetSurfaceFunction::SetSideTangency | ( | int | side,
|  | bool | bEnable
| ) |  |

## SideTangency()

bool ON_OffsetSurfaceFunction::SideTangency | ( | int | side | ) | const

## Friends And Related Symbol Documentation

## ON_OffsetSurface

friend class ON_OffsetSurface

friend

Definition at line 265 of file opennurbs_offsetsurface.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_offsetsurface.h